import 'package:freezed_annotation/freezed_annotation.dart';

part 'example.freezed.dart';

@freezed
abstract class Union with _$Union {
  /// An example default value.
  const factory Union(int value) = Data;

  /// An example loading state
  ///
  /// This indicates leads to loading or error.
  const factory Union.loading() = Loading;

  const factory Union.error({String message}) = ErrorDetails;
}
